Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 617234 - www-servers/varnish - automagic on dev-libs/libedit
Summary: www-servers/varnish - automagic on dev-libs/libedit
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Anthony Basile
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-02 11:39 UTC by Thomas Deutschmann
Modified: 2018-07-23 08:21 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Deutschmann gentoo-dev Security 2017-05-02 11:39:37 UTC
While dep cleaning a preserved libs event was triggered for 

> >>> package: dev-libs/libedit-20130712.3.1
>  *  - /lib64/libedit.so.0
>  *  - /lib64/libedit.so.0.0.47
>  *      used by /usr/bin/varnishadm (www-servers/varnish-5.1.2)

However, dev-libs/libedit aren't listed in www-servers/varnish's depgraph:

> * dependency graph for www-servers/varnish-5.1.2
> `--  www-servers/varnish-5.1.2  ~amd64
>   `--  sys-libs/readline-7.0_p3  (sys-libs/readline) ~amd64
>   `--  dev-libs/libpcre-8.40-r1  (dev-libs/libpcre) ~amd64  [jit?]
>   `--  dev-libs/jemalloc-4.4.0  (dev-libs/jemalloc) ~amd64
>   `--  sys-libs/ncurses-6.0-r1  (sys-libs/ncurses) amd64
>   `--  dev-python/docutils-0.13.1  (dev-python/docutils) ~amd64
>   `--  virtual/pkgconfig-0-r1  (virtual/pkgconfig) amd64
>   `--  app-portage/elt-patches-20170317  (>=app-portage/elt-patches-20170317) amd64
>   `--  sys-devel/automake-1.15-r2  (>=sys-devel/automake-1.15) ~amd64
>   `--  sys-devel/autoconf-2.69-r3  (>=sys-devel/autoconf-2.69) ~amd64
>   `--  sys-devel/libtool-2.4.6-r4  (>=sys-devel/libtool-2.4) ~amd64
>   `--  virtual/pypy-5.6.0  (>=virtual/pypy-5) ~amd64
>   `--  dev-lang/python-2.7.13  (>=dev-lang/python-2.7.5-r2) ~amd64
>   `--  dev-lang/python-3.4.6  (dev-lang/python) ~amd64
>   `--  dev-lang/python-exec-2.4.5  (>=dev-lang/python-exec-2) ~amd64  [python_targets_pypy(-)? python_targets_python2_7(-)? python_targets_python3_4(-)? -python_single_target_pypy(-) -python_single_target_python2_7(-) -python_single_target_python3_4(-)]
>   `--  sys-devel/gcc-5.4.0-r3  (sys-devel/gcc) ~amd64


So I am assuming some kind of automagic.